Bug 1374183 - Import Error for python-senlinclient python-zaqarclient python-magnumclient python-mistralclient
Import Error for python-senlinclient python-zaqarclient python-magnumclient p...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-heat (Show other bugs)
Mitaka
x86_64 Linux
unspecified Severity high
: ---
: trunk
Assigned To: Amit Ugol
Amit Ugol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-08 04:15 EDT by Boris Derzhavets
Modified: 2017-02-16 10:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-16 10:33:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1597593 None None None 2017-02-16 10:29 EST

  None (edit)
Description Boris Derzhavets 2016-09-08 04:15:23 EDT
Description of problem:

Attempt to reproduce blog of Ales Nosek , which does work with RDO installed
on RHEL 7.X

http://alesnosek.com/blog/2016/06/26/deploying-kubernetes-on-openstack-using-heat/

on RDO Mitaka running on CentOS 7.2 Nodes. Build of stack kubernets succeeds ( with dead Kub-Master VM ) having in heat-engine.log following errors :-

016-09-05 17:37:49.639 3663 WARNING heat.common.config [-] Please update auth_encryption_key to be 32 characters.
2016-09-05 17:37:49.660 3663 WARNING oslo_reports.guru_meditation_report [-] Guru mediation now registers SIGUSR1 and SIGUSR2 by default for backward compatibility. SIGUSR1 will no longer be registered in a future release, so please use SIGUSR2 to generate reports.
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension [-] Could not load 'senlin': No module named senlinclient
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension [-] No module named senlinclient
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/enabled.py", line 67, in _load_one_plugin
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/senlin.py", line 19, in <module>
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension     from senlinclient import client
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension ImportError: No module named senlinclient
2016-09-05 17:37:49.666 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension [-] Could not load 'zaqar': No module named zaqarclient.queues.v1
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension [-] No module named zaqarclient.queues.v1
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/enabled.py", line 67, in _load_one_plugin
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/zaqar.py", line 20, in <module>
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension     from zaqarclient.queues.v1 import client as zaqarclient
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension ImportError: No module named zaqarclient.queues.v1
2016-09-05 17:37:49.667 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension [-] Could not load 'mistral': No module named mistralclient.api
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension [-] No module named mistralclient.api
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/enabled.py", line 67, in _load_one_plugin
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/mistral.py", line 14, in <module>
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension     from mistralclient.api import base as mistral_base
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension ImportError: No module named mistralclient.api
2016-09-05 17:37:49.675 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension [-] Could not load 'manila': No module named manilaclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension [-] No module named manilaclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/enabled.py", line 67, in _load_one_plugin
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/manila.py", line 17, in <module>
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     from manilaclient import client as manila_client
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension ImportError: No module named manilaclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension [-] Could not load 'magnum': No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension [-] No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/enabled.py", line 67, in _load_one_plugin
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/magnum.py", line 14, in <module>
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension     from magnumclient.openstack.common.apiclient import exceptions as mc_exc
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension ImportError: No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.677 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.707 3663 ERROR stevedore.extension [-] Could not load 'senlin.cluster': No module named senlinclient
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension [-] No module named senlinclient
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/senlin.py", line 19, in <module>
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension     from senlinclient import client
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension ImportError: No module named senlinclient
2016-09-05 17:37:49.708 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension [-] Could not load 'magnum.baymodel': No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension [-] No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/magnum.py", line 14, in <module>
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension     from magnumclient.openstack.common.apiclient import exceptions as mc_exc
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension ImportError: No module named magnumclient.openstack.common.apiclient
2016-09-05 17:37:49.709 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension [-] Could not load 'manila.share_type': No module named manilaclient
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension [-] No module named manilaclient
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/manila.py", line 17, in <module>
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension     from manilaclient import client as manila_client
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension ImportError: No module named manilaclient
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.710 3663 ERROR stevedore.extension [-] Could not load 'senlin.profile': No module named senlinclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension [-] No module named senlinclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/senlin.py", line 19, in <module>
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     from senlinclient import client
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension ImportError: No module named senlinclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension [-] Could not load 'manila.share_snapshot': No module named manilaclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension [-] No module named manilaclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/manila.py", line 17, in <module>
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension     from manilaclient import client as manila_client
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension ImportError: No module named manilaclient
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.711 3663 ERROR stevedore.extension [-] Could not load 'senlin.profile_type': No module named senlinclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension [-] No module named senlinclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/senlin.py", line 19, in <module>
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     from senlinclient import client
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension ImportError: No module named senlinclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension [-] Could not load 'manila.share_network': No module named manilaclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension [-] No module named manilaclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/manila.py", line 17, in <module>
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension     from manilaclient import client as manila_client
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension ImportError: No module named manilaclient
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.712 3663 ERROR stevedore.extension [-] Could not load 'senlin.policy_type': No module named senlinclient
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension [-] No module named senlinclient
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/senlin.py", line 19, in <module>
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension     from senlinclient import client
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension ImportError: No module named senlinclient
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension 
2016-09-05 17:37:49.713 3663 ERROR stevedore.extension [-] Could not load 'zaqar-queue': No module named zaqarclient.queues.v1
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension [-] No module named zaqarclient.queues.v1
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension Traceback (most recent call last):
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 163, in _load_plugins
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension     verify_requirements,
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 184, in _load_one_plugin
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension     plugin = ep.resolve()
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in resolve
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension     module = __import__(self.module_name, fromlist=['__name__'], level=0)
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension   File "/usr/lib/python2.7/site-packages/heat/engine/clients/os/zaqar.py", line 20, in <module>
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension     from zaqarclient.queues.v1 import client as zaqarclient
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension ImportError: No module named zaqarclient.queues.v1
2016-09-05 17:37:49.714 3663 ERROR stevedore.extension 

Version-Release number of selected component (if applicable):


How reproducible:

Create Controller&&Compute Cluster (Controller 8 GB,4 VCPUs, Compute 16 GB, 8 VCPUS ) and follow Ales Nosek instructions on Compute Node as building VM
having heat-client installed on Compute Node (VM with Nested KVM enabled )

Steps to Reproduce:
1. Setup Controller&& Compute Cluster
2. Install on Compute 

# yum install python-openstackclient python-swiftclient python-glanceclient python-novaclient python-heatclient -y
Those ones which are missing (as far as remember just two) will be installed.

3. Attempt to run ./cluster/kube-up.sh under kubernetes folder
produced via 

$ git clone https://github.com/kubernetes/kubernetes.git
$ git checkout -b release-1.3.0  origin/release-1.3.0

which finally will invoke heat client to build stack "kubernetes"
Wait until successful completion producing not working 2 Node Kubernetes
Cluster. Check heat-engine.log on Controller.

Actual results:

Kubernetes cluster appears to be built with fatal errors, like absence
of httpd daemon running on Kub-Master in SSL mode.

Expected results:

Kubernetes cluster (2 Cloud VMs ) gets built functional as on RHEL7

Additional info:

Also tested RDO Cluster Controller && Storage with heat stack been built
on Controller with same results.
Comment 1 Zane Bitter 2017-02-14 11:25:45 EST
The error messages are just complaining about clients that are configured but which are not installed on the server where heat-engine is running. Since none of those clients are used in the Kubernetes templates, this is completely unrelated to whatever problem you're having with Kubernetes.
Comment 2 Zane Bitter 2017-02-16 10:33:51 EST
Errors were downgraded to warnings.

Note You need to log in before you can comment on or make changes to this bug.